<template>
    <div>
        <el-dialog :title="title" :visible="listVisable" v-if="listVisable" @close="cancel" width="800px" center
            :distroy-on-close="true">
            <el-table v-loading="loading" :data="dataList" style="width: 100%">
                <el-table-column label="字段" align="center" prop="column" :show-overflow-tooltip="true" />
                <el-table-column label="字段名" align="center" prop="columnName" :show-overflow-tooltip="true" />
            </el-table>
            <div slot="footer" class="dialog-footer">
                <el-button @click="cancel" class="endbutton"><span>取 消</span></el-button>
            </div>
        </el-dialog>
    </div>
</template>
<script>
import {
    getTemplateInfoById
} from "@/api/officialSeal/officialSeal.js";
export default {
    props: ["listVisable", "listData", "queryParams"],
    data() {
        return {
            title: "模板字段列表",
            // 遮罩层
            loading: false,
            dataList:[]
        };
    },
    watch: {
        listData(val) {
            if (val) {
                getTemplateInfoById({ id: val.id }).then(res=>{
                    this.dataList = res.data;
                })
            }
        }
    },
    created() {

    },
    methods: {
        cancel() {
            this.$emit("cancelList");
        },
    },
};
</script>
  
<style lang="scss" scoped>
.steps {
    display: flex;
    flex-wrap: wrap;
}

.radiobox {
    margin-top: 30px;
}
</style>